version 12.1
mata:
mata set matastrict on
mata set matafavor speed

/* make initial guess for Sigma and sigma2 */
void mcmcdisper_guess(struct mcmcdisper_problem scalar problem, struct mcmcdisper_output scalar output)
  {

  /* naive estimate of beta */
  output.beta_out[1,.]=problem.data.betahat'
  problem.transitory.beta=problem.data.betahat

  /* estimate theta */
  problem.transitory.Sigmainv=cholinv(problem.prior.delta0)
  problem.transitory.invsig2=1/problem.prior.d0
  mcmcdisper_updatezPxyz(problem)
  mcmcdisper_updatetheta(problem,output,1) 

  /* update Sigma and sigma2 */ 
  mcmcdisper_updatesigma(problem,output,1)

  }

end
