version 12.1
mata:
mata set matastrict on
mata set matafavor speed

struct mcmcdisper_data {
  real scalar lx, df, lz, N_g, chi_sig2eps_start
  real matrix betahat, theta_ghat, zPz_g, zPxy_g, xPz_g, xPx_g, xPy_g, m2yPx_g, m2yPz_g, xP2z_g, ginfo
  }

struct mcmcdisper_transitory {
  real scalar invsig2, sigma2
  real matrix invsigma2_zPz_g, invsigma2_zPxy_g, Sigma, Sigmainv, theta_g, beta
  }

struct mcmcdisper_prior {
  real scalar d0 
  real matrix delta0 
  }

struct mcmcdisper_output {
  real matrix beta_out, sigma2_out, theta_g_out, Sigma_out
  }

struct mcmcdisper_problem {
  struct mcmcdisper_data scalar data
  struct mcmcdisper_transitory scalar transitory
  struct mcmcdisper_prior scalar prior
  }


end

foreach f in mcmcdisper_data mcmcdisper_output ///
  mcmcdisper_transitory mcmcdisper_prior mcmcdisper_problem {
  mata: mata mlib add `libname' `f'()
  }

