version 12.1
mata:
mata set matastrict on
mata set matafavor speed

/* function to update theta_g */
void mcmcdisper_updatetheta(struct mcmcdisper_problem scalar problem, struct mcmcdisper_output scalar output, real scalar outrow)
  {
  real scalar gi
  real matrix E, F
  for(gi=1;gi<=problem.data.N_g;gi++) {
    E=problem.transitory.Sigmainv+problem.transitory.invsigma2_zPz_g[|1,(gi-1)*problem.data.lz+1\.,gi*problem.data.lz|]
    problem.transitory.theta_g[.,gi]=cholsolve(E,problem.transitory.invsigma2_zPxy_g[.,gi*(problem.data.lx+1)]-problem.transitory.invsigma2_zPxy_g[|1,(gi-1)*(problem.data.lx+1)+1\.,gi*(problem.data.lx+1)-1|]*problem.transitory.beta)+cholesky(cholinv(E))*rnormal(problem.data.lz,1,0,1)      
    } 
  output.theta_g_out[outrow,.]=vec(problem.transitory.theta_g)'
  }
end

