SUBROUTINE TransitionOutput

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

IF(Display>=1) write(*,*) 'Saving transition output to disk'

!Path
OPEN(3, FILE = trim(OutputDir) // '/pathEloca.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEloca)
OPEN(3, FILE = trim(OutputDir) // '/pathEocca.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEocca)
OPEN(3, FILE = trim(OutputDir) // '/pathEoccb.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEoccb)
OPEN(3, FILE = trim(OutputDir) // '/pathEisland_a.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEisland_a)
OPEN(3, FILE = trim(OutputDir) // '/pathEisland_b.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEisland_b)
OPEN(3, FILE = trim(OutputDir) // '/pathEloca_occa.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEloca_occa)
OPEN(3, FILE = trim(OutputDir) // '/pathEloca_occb.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEloca_occb)
OPEN(3, FILE = trim(OutputDir) // '/pathElocb_occa.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathElocb_occa)
OPEN(3, FILE = trim(OutputDir) // '/pathElocb_occb.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathElocb_occb)
OPEN(3, FILE = trim(OutputDir) // '/pathEmig.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEmig)
OPEN(3, FILE = trim(OutputDir) // '/pathEunemp.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEunemp)
OPEN(3, FILE = trim(OutputDir) // '/pathEage.txt', STATUS = 'replace'); CALL WriteMatrixLong(3,Ttransition+1,1,pathEage)

!temp debug
! OPEN(3, FILE = trim(OutputDir) // '/migsim1.txt', STATUS = 'replace'); CALL WriteMatrixInteger(3,Nsimtrans,1,simtrans(1)%migsim)
! OPEN(3, FILE = trim(OutputDir) // '/migsim0.txt', STATUS = 'replace'); CALL WriteMatrixInteger(3,Nsimtrans,1,simtrans(0)%migsim)

END SUBROUTINE TransitionOutput