log using mcmcdisper.log, replace
local libname lmcmcdisper

version 12.1

mata: mata mlib create `libname', replace

include rawmata/mcmcdisper_structs.mata

foreach f in mcmcdisper_setup_problem mcmcdisper_setup_output ///
  mcmcdisper_updatesigma mcmcdisper_updatetheta ///
  mcmcdisper_updatezPxyz mcmcdisper_guess ///
  mcmcdisper_main {
  include rawmata/`f'.mata
  mata: mata mlib add `libname' `f'()
  }



mata: mata mlib index

log close
exit
