version 12.1
mata:
mata set matastrict on
mata set matafavor speed

/* function to update sigma2 and Sigma */
void mcmcdisper_updatesigma(struct mcmcdisper_problem scalar problem, struct mcmcdisper_output scalar output, real scalar outrow)
   {
   real scalar chi_sig2eps, gi
   real matrix work
   work=(cholesky(luinv(problem.prior.delta0+quadcross(problem.transitory.theta_g',problem.transitory.theta_g')))*rnormal(problem.data.lz,1+problem.data.N_g,0,1))'
  problem.transitory.Sigmainv=quadcross(work,work)
  problem.transitory.Sigma=luinv(problem.transitory.Sigmainv)
  output.Sigma_out[outrow,.]=vech(problem.transitory.Sigma)'
  chi_sig2eps=problem.data.chi_sig2eps_start
  work=J(1,problem.data.lx,0)
  for(gi=1;gi<=problem.data.N_g;gi++) {
    work=work+problem.data.m2yPx_g[gi,.]+problem.transitory.beta'*problem.data.xPx_g[|1,(gi-1)*problem.data.lx+1\.,gi*problem.data.lx|]
    chi_sig2eps=chi_sig2eps+(problem.data.m2yPz_g[gi,.]+problem.transitory.beta'*problem.data.xP2z_g[|1,(gi-1)*problem.data.lz+1\.,gi*problem.data.lz|]+problem.transitory.theta_g[.,gi]'*problem.data.zPz_g[|1,(gi-1)*problem.data.lz+1\.,gi*problem.data.lz|])*problem.transitory.theta_g[.,gi]
    }
  problem.transitory.invsig2=rgamma(1,1,problem.data.df,2/(chi_sig2eps+work*problem.transitory.beta))
  problem.transitory.sigma2=1/problem.transitory.invsig2
  output.sigma2_out[outrow,1]=problem.transitory.sigma2
  }

end

