SUBROUTINE DrawRandomNumbers

USE Parameters
USE Globals
USE Procedures
USE random

IMPLICIT NONE

INTEGER		            :: iseed(2),isize,it,ij,ii

write(*,*) 'Drawing random numbers'

!set random number seedii
iseed(1) = 1654
iseed(2) = 1774
isize = 2
CALL RANDOM_SEED(size = isize)
CALL RANDOM_SEED(put = iseed) 

CALL RANDOM_NUMBER(Srand)
CALL RANDOM_NUMBER(loc0rand)
CALL RANDOM_NUMBER(island0rand)
CALL RANDOM_NUMBER(Qrand)
CALL RANDOM_NUMBER(Drand)

DO ii=1,Nsim
DO ij=1,Nj
	Urand(ii,ij)  = random_normal()
	M0rand(ii,ij) = random_normal()
	DO it = 1,Ttot
		Zrand(ii,it,ij) = random_normal()
	END DO
END DO
END DO


END SUBROUTINE DrawRandomNumbers