SUBROUTINE Experiments

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

REAL(8)					:: ltheta,ltau0

IF(DoExperimentTheta==1) THEN
	OutputDir = trim(BaseOutputDir) // '/expTheta/'
	ltheta = theta
	theta = 0.91
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	theta = ltheta
END IF

IF(DoExperimentTau0==1) THEN
	OutputDir = trim(BaseOutputDir) // '/expTau0/'
	ltau0 = tau0
	tau0 = tau0 + tauE
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0
END IF

IF(DoExperimentTau0Mult==1) THEN
	
	OutputDir = trim(BaseOutputDir) // '/expTau0_1/'
	ltau0 = tau0
	tau0 = tau0 + tauE
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0

	OutputDir = trim(BaseOutputDir) // '/expTau0_075/'
	ltau0 = tau0
	tau0 = tau0 + 0.75*tauE
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0
	
	OutputDir = trim(BaseOutputDir) // '/expTau0_05/'
	ltau0 = tau0
	tau0 = tau0 + 0.5*tauE
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0

	OutputDir = trim(BaseOutputDir) // '/expTau0_025/'
	ltau0 = tau0
	tau0 = tau0 + 0.25*tauE
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0

	OutputDir = trim(BaseOutputDir) // '/expTau0_008/'
	ltau0 = tau0
	tau0 = tau0 + 0.0833*tauE
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0
	
END IF
IF(DoExperimentBoth==1) THEN
	OutputDir = trim(BaseOutputDir) // '/expBoth_05/'
	ltau0 = tau0
	tau0 = tau0 + 0.5*tauE
	ltheta = theta
	theta = 0.91
	
	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0
	theta = ltheta

	OutputDir = trim(BaseOutputDir) // '/expBoth_025/'
	ltau0 = tau0
	tau0 = tau0 + 0.25*tauE
	ltheta = theta
	theta = 0.91

	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0
	theta = ltheta

	OutputDir = trim(BaseOutputDir) // '/expBoth_008/'
	ltau0 = tau0
	tau0 = tau0 + 0.0833*tauE
	ltheta = theta
	theta = 0.91

	CALL Grids
	CALL Decisions
	CALL Simulations
	CALL CalculateStats
	CALL SaveOutput
	tau0 = ltau0
	theta = ltheta
	
END IF



END SUBROUTINE Experiments