PROGRAM Main

USE Parameters
USE Globals

IMPLICIT NONE

INTEGER	:: count


IF (ReadParameters==1) THEN
	count = NARGS()
	IF (count<2) THEN
		write(*,*) "need parameters file name as argument if ReadParameters==1"
		stop
	ELSE
		CALL GETARG(1,InputParamFile)
	END IF
END IF

CALL DrawRandomNumbers
CALL SetParameters
CALL LoadData
IF(DoCalibration==1) CALL Calibration
CALL Grids
CALL Decisions
CALL Simulations
IF(DoGraphRegions==1) CALL GraphRegions
CALL CalculateStats
CALL SaveOutput

IF(DoExperiments==1) CALL Experiments
IF(DoTransition==1) CALL Transition

END PROGRAM Main